/***** testMatrix.c ***********************************************
 * Description: Test code for substitution matrix.
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Thu Jan  6 07:42:11 2005.
 *****************************************************************/
#include <stdio.h>
#include "string.h"
#include "sequenceData.h"
#include "interface.h"
#include "alignment.h"
#include "eprintf.h"

Sequence *getNextSequence2(FILE *fp, Sequence *previousSeq);

int main(int argc, char *argv[]){
  int *dic, matchScore, mismatchScore, i, j;
  FILE *fp1, *fp;
  FILE *fp2;
  SubstitutionMatrix *sm;
  Sequence *seq, *nextSeq;

  matchScore = 1;
  mismatchScore = -3;
  dic = NULL;

  sm = constructDnaScoreMatrix(sm,matchScore, mismatchScore);

  printf("\t");
  for(i=1;i<16;i++)
    printf("%c\t",sm->revdic[i]);
  printf("\n");
  for(i=1;i<16;i++){
    printf("%c\t",sm->revdic[i]);
    for(j=1;j<16;j++){
      printf("%d\t",sm->mat[i][j]);
    }
    printf("\n");
  }

  freeSubstitutionMatrix(sm);

  //  fp = efopen("EDNAFULL","r");
  fp = efopen("pam70","r");
  sm = readSubstitutionMatrix(sm,fp);

  
  for(i=0;i<sm->size;i++){
    printf(" %c",sm->revdic[i]);
  }
  printf("\n");
  for(i=0;i<sm->size;i++){
    printf("%c",sm->revdic[i]);
    for(j=0;j<sm->size;j++){
      printf(" %d",sm->mat[i][j]);
    }
    printf("\n");
  }

  seq = NULL;
  fp1 = efopen("ms1.fasta","r");
  fp2 = efopen("ms2.fasta","r");
  while((seq = getNextSequence2(fp1,seq)) != NULL){
    printf("seq->id: %s\n",seq->id);
    printf("seq->seq: %s; %d\n",seq->seq,strlen(seq->seq));
  }
  while((seq = getNextSequence2(fp2,seq)) != NULL){
    printf("seq->id: %s\n",seq->id);
    printf("seq->seq: %s; %d\n",seq->seq,strlen(seq->seq));
  }
  return 0;

}
